#
# spec file for package mtree
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2010 Archie L. Cobbs.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           mtree
Version:        1.0.4
Release:        lp150.1.3
Summary:        Tool for creating and verifying file hierarchies
License:        BSD-3-Clause
Group:          Productivity/File utilities
Url:            https://github.com/archiecobbs/mtree-port
Source:         https://github.com/archiecobbs/mtree-port/archive/%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libopenssl-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The %{name} utility compares the file hierarchy rooted in the current
directory against a specification read from the standard input. Messages
are written to the standard output for any files whose characteristics do
not match the specifications, or which are missing from either the file
hierarchy or the specification.

%prep
%setup -q -n mtree-port-%{version}

%build
./autogen.sh
%configure
make %{?_smp_mflags}

%install
make install DESTDIR='%{buildroot}'
rm -f %{buildroot}%{_docdir}/%{name}/INSTALL

%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_mandir}/man5/*
%{_mandir}/man8/*
%{_docdir}/%{name}

%changelog
* Thu Dec  7 2017 archie.cobbs@gmail.com
- Update to 1.0.4
    + Fix build issue with OpenSSL 1.1.0 (issue #10)
    + Added `-V' flag (issue #9)
* Sun Aug  2 2015 mpluskal@suse.com
- Update to 1.0.3
  * Display symlink, modification time, and file type changes if
    requested (contributed by Christophe Beauval)
- Update project url (now hosted on github)
- Use url for source
- Cleanup spec file with spec-cleaner
* Sat Feb  8 2014 archie@dellroad.org
- Update to release 1.0.2
  + Fixed bug where `-I' flag was unrecognized (issue #2)
* Thu May 23 2013 archie@dellroad.org
- Update to release 1.0.1
  + Fixed potential crash when SHA256 enabled
  + Added `-I' flag
  + Portability fixes
* Tue May 21 2013 archie@dellroad.org
- Add patch to fix crash when SHA256 enabled
- Minor spec file tweaks
* Thu Jan 24 2013 cfarrell@suse.com
- license update: BSD-3-Clause
  SPDX format
* Sat Jan 12 2013 archie@dellroad.org
- Fix rpmlint warnings:
  + Use an approved Group
  + Don't include INSTALL file
- Fix man page %%files specifications
* Thu Nov 29 2012 archie@dellroad.org
- Spec file tweaks/cleanups
* Fri Nov  5 2010 archie@dellroad.org
- Initial release
